---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

   under the License.
---

# Guides de la plate-forme

Avant de développer pour toutes les plates-formes répertoriées ci-dessous, installez l'interface de ligne de commande de cordova (CLI). (Pour plus de détails, consultez l'Interface de ligne de commande).

Pour développer des applications de Cordova, vous devez installer le SDK pour chaque plate-forme mobile que vous ciblez. Cette installation n'est nécessaire que vous faire la plupart de votre travail dans le kit de développement logiciel ou utilisez la CLI pour votre cycle de génération.

Chaque *Plateforme Guide* ci-dessous vous indique ce que vous devez savoir pour mettre en place l'environnement de développement de la plate-forme : où se procurer le kit de développement logiciel, comment configurer les émulateurs de périphérique, comment faire pour connecter des appareils pour tests directs et comment gérer les exigences clés de signature. Guides supplémentaires renseignent sur l'ensemble unique de chaque plateforme d'options de configuration, instructions pour ajouter des plugins, comment mettre à niveau chaque plate-forme et les outils de ligne de commande spécifique à la plateforme qui servent comme une alternative de niveau inférieur à la `cordova` de l'utilitaire.

## Android

*   Guide de la plate-forme Android
*   Configuration Android
*   Android WebViews
*   Plugins Android
*   Outils de ligne de commande Android
*   Mise à jour Android

## BlackBerry

*   Guide de la plate-forme blackBerry
*   Configuration de blackBerry
*   Outils de ligne de commande de blackBerry
*   Mise à jour de BlackBerry

## BlackBerry 10

*   Guide de la plate-forme blackBerry 10
*   Configuration de blackBerry 10
*   BlackBerry 10 Plugins
*   BlackBerry 10 outils de ligne de commande

## iOS

*   iOS Platform Guide
*   iOS Configuration
*   iOS WebViews
*   iOS Plugins
*   iOS Command-line Tools
*   Mise à jour d'iOS

## Windows Phone

*   Guide de plateforme Windows Phone 8
*   Guide de plateforme Windows Phone 7
*   Windows Phone outils de ligne de commande
*   La mise à niveau de Windows Phone

## Windows 8

*   Windows 8 Platform Guide
*   Outils de ligne de commande de Windows 8
*   La mise à niveau de Windows 8

## Paciarelli

*   Guide de la plate-forme paciarelli

<!--
## FirefoxOS

* FirefoxOS Configuration
-->