---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

   under the License.
---

# Piattaforma guide

Prima di sviluppare per una qualsiasi delle piattaforme elencate di seguito, installare l'interfaccia della riga di comando di cordova (CLI). (Per informazioni dettagliate, vedere l'interfaccia della riga di comando).

Per sviluppare applicazioni di Cordova, è necessario installare il SDK per ogni piattaforma mobile che vi si rivolgono. Questa installazione è necessaria indipendentemente dal fatto se non la maggior parte del vostro lavoro in SDK o utilizzare la CLI per il ciclo di generazione.

Ogni *Piattaforma guida* sottoelencate ti dice quello che dovete sapere per impostare sviluppo ambiente di ogni piattaforma: dove ottenere il SDK, come impostare emulatori, come collegare i dispositivi per test diretto e come gestire i requisiti chiave di firma. Guide aggiuntive forniscono informazioni su set unico di ogni piattaforma opzioni di configurazione, le istruzioni per aggiungere plugin, come aggiornare ogni piattaforma e strumenti della riga di comando specifici della piattaforma che servono come alternativa a basso livello del `cordova` utilità da riga di comando.

## Android

*   Guida piattaforma Android
*   Android configurazione
*   Visualizzazioni Web Android
*   Plugin Android
*   Android strumenti da riga di comando
*   L'aggiornamento di Android

## BlackBerry

*   Guida piattaforma blackBerry
*   Configurazione di blackBerry
*   Strumenti della riga di comando di blackBerry
*   L'aggiornamento di BlackBerry

## BlackBerry 10

*   Guida piattaforma blackBerry 10
*   Configurazione di blackBerry 10
*   BlackBerry 10 plugin
*   Strumenti della riga di comando di blackBerry 10

## iOS

*   iOS guida piattaforma
*   iOS Configuration
*   iOS visualizzazioni Web
*   iOS Plugins
*   iOS Command-line Tools
*   L'aggiornamento iOS

## Windows Phone

*   Guida di Windows Phone 8 piattaforma
*   Guida di piattaforma Windows Phone 7
*   Windows Phone strumenti da riga di comando
*   L'aggiornamento di Windows Phone

## Windows 8

*   Windows 8 piattaforma guida
*   Strumenti della riga di comando di Windows 8
*   L'aggiornamento di Windows 8

## Tizen

*   Tizen piattaforma guida

<!--
## FirefoxOS

* FirefoxOS Configuration
-->