---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

   under the License.
---

# プライバシー ガイド

モバイル プライバシーは重要な問題はすべてアプリケーションの開発者に対処する必要があります。 ユーザーは、収集され、アプリによって適切に扱われる自分の個人情報を期待してください。また、今モバイル プライバシー慣行に関する法的要件がある管轄区域の増加する数があります。

モバイル アプリのプライバシーに関するこのガイドは、いくつかの最も重要な問題に対処する*プライマー*を考慮しなければなりません。 いくつかの広く受け入れられているベスト プラクティスを概説し、他のより詳細なガイドと参照への参照を提供します。

*   **プライバシー ポリシー**： アプリ情報のどんなアプリ収集からまたはユーザーについて、その情報の使用方法、誰と共有している、ユーザーがアプリ内のプライバシー関連の選択肢をすることができますどのようなトピックに対応するプライバシー ポリシーを含める必要があります。理解を助けるため、平易な言葉を使用して技術的な専門用語を避ける必要があります。 あなたのプライバシー ポリシーをアプリのマーケットプ レースでアプリの説明のようなダウンロードする前にレビューするユーザーのために利用可能にする必要があります。 さらに、お客様のプライバシー ポリシーをアプリ自体の内で使用可能にする必要があります。 モバイル デバイスのディスプレイのサイズに制限はプライバシー ポリシーを表示するための課題を作成します。 最も重要な情報が含まれるポリシーの*短い形式*の開発を検討し、詳細に興味がある人「長い形式」ポリシーへのリンクを提供しています。 いくつかのグループは、プライバシーに関する声明は、一度これらの規格の成熟を考慮したいと思うことを通信するためのアイコン ベースの基準を開発しようとしています。

*   **機密性の高い情報の収集**: アプリの敏感な個人情報の収集を重要なプライバシーへの懸念を発生させます。 個人の機密情報の例は、個人の金融情報、健康およびからまたは子供についての情報。 また、特定のセンサーと携帯端末やタブレットの地理位置情報、連絡先/電話帳、マイク/カメラ ストアド画像/動画などで通常見られるデータベースから収集された情報が含まれています。 詳細については、次のマニュアル ページを参照してください：[カメラ][1]、[キャプチャ][2]、[連絡先][3]、および[ジオロケーション][4]。 一般に、機密情報を収集する前に、ユーザーの明示的な許可を取得してください、可能であれば、簡単に権限を変更することができます制御機構を提供します。 アプリケーションのオペレーティング システムは、コレクションの前に、ユーザーの許可を求める - 時のダイアログ ボックスを提示することによっていくつかのインスタンスで助けることができます。 このような場合、必ず明確にどのようにアプリを使用して、該当する場合、このような情報を共有する] ダイアログ ボックスのテキストをカスタマイズするあらゆる機会を活用します。

*   **ユーザーの驚きを回避する**: アプリを収集または場合 （たとえば、保存画像にアクセスする音楽プレーヤー） アプリの主な目的に照らしてユーザーに驚くべきことができる方法で情報を使用して、機密性の高い個人情報の収集と同様同様の対策を講じ必要があります。 それは、強くお勧め、ジャスト イン タイム ダイアログ ボックスの使用をコレクションについてユーザーに通知または情報の使用は、該当する場合は、対応するプライバシー制御を提供します。

*   **サード パーティ製データ収集または共有**: アプリは、別の会社に提供される情報を収集する場合ソーシャルネットワーキングプラット フォームまたは (たとえば、アプリに広告が表示される場合)--広告ネットワークなどをユーザーに通知するそのコレクションの共有と。 少なくとも、あなたのプライバシー ポリシー、情報収集を記述する必要があるし、必要に応じて、ユーザーをコントロールする能力を提供していますこのようなコレクションのオプトアウトまたは共有します。

*   **コレクションの制限とセキュリティ**: ユーザーの情報を使ってアプリを委託し、彼らはそれを保護するために適切なセキュリティ対策が講じるされることを期待します。 アプリは、コレクションの特定および正当なビジネス理由を持っていない限り、最初の場所で情報を収集する個人情報のセキュリティ侵害を避けるために最善の方法のいずれかのではないです。 収集する必要の情報、デバイスまたはバックエンド サーバー上に格納されているかどうかは、その情報を保護するために適切なセキュリティ制御を提供することを確認してください。 また、アプリ内で、バックエンド サーバー上に実装されている適切なデータ保持ポリシーを開発する必要があります。

 [1]: cordova_camera_camera.md.html
 [2]: cordova_media_capture_capture.md.html
 [3]: cordova_contacts_contacts.md.html
 [4]: cordova_geolocation_geolocation.md.html

開発者のためのいくつかの追加の有用なモバイル プライバシー ガイドを次に示します。

*   カリフォルニア州検事総長[、外出先でのプライバシー: モバイルの生態系のための推奨事項][5]

*   民主主義・ テクノロジー プライバシーのフォーラム、[モバイル アプリ開発者のベスト プラクティス][6]の未来センター

*   CTIA の無線協会、[ベスト プラクティスとガイドラインの場所ベースのサービス][7]

*   連邦取引委員会[モバイル プライバシー情報開示： 透明性を通じて信頼関係の構築][8]

*   [アプリケーションのプライバシーに関する][9]ウェブサイト プライバシー フォーラムの未来

 [5]: http://oag.ca.gov/sites/all/files/pdfs/privacy/privacy_on_the_go.pdf
 [6]: http://www.futureofprivacy.org/wp-content/uploads/Best-Practices-for-Mobile-App-Developers_Final.pdf
 [7]: http://www.ctia.org/business_resources/wic/index.cfm/AID/11300
 [8]: http://www.ftc.gov/os/2013/02/130201mobileprivacyreport.pdf
 [9]: http://www.applicationprivacy.org