---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

   under the License.
---

# Руководство по поддерживаемым платформам

Прежде чем приступить к разработка для любой из платформ перечисленных ниже, вам потребуется установить поддержку Cordova в командной строке (CLI). (см. интерфейс командной строки.)

Для разработки приложений Cordova, необходимо установить пакет SDK для каждой мобильной платформы, которую вы выбрали. Эта установка необходима независимо вне зависимости от того, собираетесь ли вы делать большую часть работы в SDK или использовать CLI для вашего цикла сборки.

Каждое *Руководство по работе с платформой* перечисленные ниже говорит вам, что нужно знать для настройки среды разработки каждой платформы: где получить SDK, как настроить эмуляторы устройств, как подключить устройства для тестирования и как управлять ключами подписывания. Дополнительные руководства представляют информацию для каждой платформы уникальный набор параметров настройки, инструкции для добавления плагинов, как обновить платформы и специфические параметры командной строки, которые служат в качестве нижнего уровня альтернативой `cordova` утилиты командной строки.

## Android

*   Платформа Android руководство
*   Андроид конфигурации
*   Андроид WebViews
*   Андроид плагины
*   Android средства командной строки
*   Обновление Android

## Ежевика

*   Руководство по платформы ежевики
*   BlackBerry конфигурации
*   Средства командной строки ежевики
*   Модернизация BlackBerry

## Ежевика 10

*   Руководство по платформы ежевики 10
*   Конфигурации ежевики 10
*   Ежевика 10 плагинов
*   Ежевика 10 средства командной строки

## iOS

*   iOS платформы Руководство
*   iOS конфигурации
*   iOS WebViews
*   iOS, плагины
*   iOS утилиты командной строки
*   Обновление iOS

## Windows Phone

*   Руководство по платформы Windows Phone 8
*   Руководство по платформы Windows Phone 7
*   Windows Phone средств командной строки
*   Обновление Windows Phone

## ОС Windows 8

*   Руководство по Windows 8 платформы
*   Средства командной строки Windows 8
*   Обновление для Windows 8

## Tizen

*   Руководство по Tizen платформы

<!--
## FirefoxOS

* FirefoxOS Configuration
-->